%define	name	gnomolicious
%define version 0.7.2
%define release %mkrel 13
%define fname %name-%{version}
%define	Summary	GNOME applet to post link on the del.icio.us

Summary:	%Summary
Name:		%name
Version:	%version
Release:	%release
License:	GPLv2+
Group:		Networking/Other
URL:		http://www.nongnu.org/gnomolicious/
Source0:	http://download.savannah.gnu.org/releases/gnomolicious/%name-%version.tar.bz2
Source1:	%name-icons.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

Patch0:		%name-setup.patch

BuildRequires:	libpython-devel >= 2.3
BuildRequires:	pygtk2.0-libglade >= 2.6
BuildRequires:	intltool
BuildRequires:	XFree86-Xvfb
BuildRequires:  gnome-python-gconf
BuildRequires:  gnome-python
Requires:	pygtk2.0-libglade >= 2.6
Requires:	python-beautifulsoup
Requires:	python-lxml
Requires:	dbus-python
Requires:	gnome-python
Requires:       gnome-python-gnomevfs
Requires:       gnome-python-gconf
Requires:       gnome-python-applet

BuildArch: noarch

%description
Gnomolicious is an GNOME applet to post link on the del.icio.us 
social bookmarks manager.
 
You just have to drag'n'drop the URL for the link and a popup will 
appear to help you post on del.icio.us proposing to you popular tag 
and completion for the tag you already use.

This applet is writen in python.


%prep
%setup -q -n %fname -a1

%patch0 -p0 -b .setup

%build

%install
XDISPLAY=$(i=5; while [ -f /tmp/.X$i-lock ]; do i=$(($i+1)); done; echo $i)
Xvfb :$XDISPLAY &
export DISPLAY=:$XDISPLAY
python setup.py install --prefix=%_prefix --root=%buildroot

kill $(cat /tmp/.X$XDISPLAY-lock)

%find_lang %name
rm -rf %buildroot%_sysconfdir/gconf/gconf.xml.defaults

perl -pi -e "s^%buildroot^^" %buildroot/usr/lib/bonobo/servers/%name.server

chmod 0644 README TODO

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%name.desktop << EOF
[Desktop Entry]
Name=Gnomolicious
Comment=%Summary
Exec=%{_bindir}/%name %U
Icon=%name 
Terminal=false
Type=Application
StartupNotify=true
Categories=Network;GNOME;GTK;
EOF


%__install -D -m 644 %{name}48.png %buildroot/%_liconsdir/%name.png
%__install -D -m 644 %{name}32.png %buildroot/%_iconsdir/%name.png
%__install -D -m 644 %{name}16.png %buildroot/%_miconsdir/%name.png

mkdir -p %buildroot/etc/gconf/schemas
mv %buildroot/usr/etc/gconf/schemas/%name.schemas %buildroot/etc/gconf/schemas/%name.schemas
rm -rf %buildroot/usr/etc

%if %mdkversion < 200900
%post
%update_menus
%post_install_gconf_schemas %name
%endif

%preun
%preun_uninstall_gconf_schemas %name

%if %mdkversion < 200900
%postun
%clean_menus
%endif

%clean
rm -rf %buildroot

%files -f %name.lang
%defattr(-,root,root)
%doc README TODO
%{_bindir}/*
%_sysconfdir/gconf/schemas/%name.schemas
%{_datadir}/%name
%{py_puresitedir}/%name
%{py_puresitedir}/*.egg-info
%_datadir/applications/mandriva*
%{_iconsdir}/*/%name.png
%{_iconsdir}/%name.png
%{_datadir}/pixmaps/%name.png
%_prefix/lib/bonobo/servers/gnomolicious.server


%changelog
* Tue Jan 06 2009 Funda Wang <fundawang@mandriva.org> 0.7.2-13mdv2009.1
+ Revision: 325448
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.7.2-12mdv2009.0
+ Revision: 246473
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Dec 09 2007 Funda Wang <fundawang@mandriva.org> 0.7.2-10mdv2008.1
+ Revision: 116602
- clean file list
- add missing file
- fix menu item

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'


* Fri Jun 23 2006 Götz Waschk <waschk@mandriva.org> 0.7.2-9mdv2007.0
- new macros
- fix build

* Thu Apr 13 2006 Götz Waschk <waschk@mandriva.org> 0.7.2-8mdk
- fix buildrequires

* Thu Apr 13 2006 Götz Waschk <waschk@mandriva.org> 0.7.2-7mdk
- fix deps

* Thu Apr 13 2006 Götz Waschk <waschk@mandriva.org> 0.7.2-6mdk
- fix path in the server file

* Thu Apr 13 2006 Götz Waschk <waschk@mandriva.org> 0.7.2-5mdk
- fix deps

* Thu Apr 13 2006 Götz Waschk <waschk@mandriva.org> 0.7.2-4mdk
- fix buildrequires

* Thu Apr 13 2006 Götz Waschk <waschk@mandriva.org> 0.7.2-3mdk
- fix deps

* Mon Apr 10 2006 Jerome Soyer <saispo@mandriva.org> 0.7.2-2mdk
- Add Patch0 to include gconf schemas

* Mon Apr 10 2006 Jerome Soyer <saispo@mandriva.org> 0.7.2-1mdk
- First Build

